Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		bonnie++
#Epoch:		0
Version:	1.96
Release:	1
License:	GNU/GPL	
URL:		http://www.coker.com.au/bonnie++/
Group:		Development/Other
Summary:	HDD and filesystem performance benchmark suite
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tgz

# Patches:
Patch0:		bonnie-destdir.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: perl

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple tests of hard drive and file system performance. Then you can decide which test is important and decide how to compare different systems after running it.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt
%{_bindir}/generate_randfile
%{_sbindir}/bonnie++
%{_sbindir}/getc_putc
%{_sbindir}/getc_putc_helper
%{_sbindir}/zcav
%{_mandir}/man1/bon_csv2html.1.gz
%{_mandir}/man1/bon_csv2txt.1.gz
%{_mandir}/man1/generate_randfile.1.gz
%{_mandir}/man8/bonnie++.8.gz
%{_mandir}/man8/getc_putc.8.gz
%{_mandir}/man8/zcav.8.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Nov 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.96-1
- initial CCux package release
